import { z } from 'zod';

export const FetchCustomerShippingAddressesSchema = z.object({
  customerId: z.number().int().describe('Unique customer identifier'),
  take: z.number().int().optional().describe('Number of items to return per page').nullable(),
  skip: z.number().int().optional().describe('Number of items to skip for pagination').nullable(),
});

export type FetchCustomerShippingAddresses = z.infer<typeof FetchCustomerShippingAddressesSchema>;
export type FetchCustomerShippingAddressesInput = z.input<typeof FetchCustomerShippingAddressesSchema>;
